Hello ciderfish -

it sounds like you may need to update the operating system on your device. The app can run on Android OS 4.1 (Jelly Bean) and above, so your device would need to be running at least that version of the Android OS.

If your device is running OS 4.1 or above and you are still running into this difficulty, please feel free to file a support case with us from under the Help tab of the site and let us know the details of your device and OS in the case and we'll be happy to look into it further.

-Craig
Hello Victor -

The app is actually available in various locations at this time, but it is most likely that it is not currently available in the country your phone recognizes as its own.

However, I have passed your suggestion along to our Product Management team for their consideration in a future release of the app and will update this thread as soon as any new information regarding this becomes available.

Apologies for the inconvenience!

- Craig

Add Reply

Likes (0)
×
×
×
×